rbd exception for clone_image with glance v1 api

Bug #1208617 reported by Edward Hope-Morley on 2013-08-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Edward Hope-Morley

Bug Description

Create volume from Glance image using RBD driver with Glance v1 API produces the following:

2013-08-05 22:28:11.039 TRACE cinder.volume.manager Traceback (most recent call last):
2013-08-05 22:28:11.039 TRACE cinder.volume.manager File "/opt/stack/cinder/cinder/volume/manager.py", line 283, in create_volume
2013-08-05 22:28:11.039 TRACE cinder.volume.manager image_location)
2013-08-05 22:28:11.039 TRACE cinder.volume.manager File "/opt/stack/cinder/cinder/volume/manager.py", line 202, in _create_volume
2013-08-05 22:28:11.039 TRACE cinder.volume.manager volume_ref, image_location)
2013-08-05 22:28:11.039 TRACE cinder.volume.manager TypeError: 'bool' object is not iterable

Changed in cinder:
assignee: nobody → Edward Hope-Morley (hopem)
status: New → In Progress

Reviewed: https://review.openstack.org/40307
Committed: http://github.com/openstack/cinder/commit/0f11f016c56db89188051661ad9dce8f0ef920f7
Submitter: Jenkins
Branch: master

commit 0f11f016c56db89188051661ad9dce8f0ef920f7
Author: Edward Hope-Morley <email address hidden>
Date: Mon Aug 5 22:57:09 2013 +0100

    Fixes create rbd volume from image v1 glance api

    The RBD driver supports two methods of image cloning;
    thin copy i.e. copy-on-write (requires v2 Glance API)
    and full copy (default if v2 Glance API is not available).

    clone_image() was failing in the Glance V1 API case because
    it was not returning a tuple, as expected by the volume
    manager. Glance V2 support works fine.

    Fixes: bug #1208617

    Change-Id: I2e8605eaacfe8b65bdf47cb6ea40ef62d6f6b895

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-09-05
Changed in cinder:
milestone: none → havana-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-3 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers